#include "Affordance.h"

#include <SimoxUtility/algorithm/string.h>

#include <ArmarXCore/core/exceptions/local/ExpressionException.h>

namespace armarx::priorknowledge::util
{

    AffordanceId::AffordanceId(const std::string& dataset, const std::string& name) :
        sourceId(dataset), name(name)
    {
    }

    std::string
    AffordanceId::toString() const
    {
        return sourceId + "/" + name;
    }

    StaticAffordance::StaticAffordance(const std::string& dataset, const std::string& name) :
        id(dataset, name)
    {
    }

    LocatableAffordance::LocatableAffordance(const std::string& dataset,
                                             const std::string& name,
                                             const std::string& locationId) :
        id(dataset, name), locationId(locationId)
    {
    }

} // namespace armarx::priorknowledge::util
