#pragma once

#include <string>

namespace armarx::priorknowledge::util
{
    struct AffordanceId
    {
        std::string sourceId;
        std::string name;

        AffordanceId(const std::string& dataset, const std::string& name);

        std::string toString() const;
    };

    struct StaticAffordance
    {
        AffordanceId id;

        StaticAffordance(const std::string& dataset, const std::string& name);
    };

    struct LocatableAffordance
    {
        AffordanceId id;
        std::string locationId;

        LocatableAffordance(const std::string& dataset,
                            const std::string& name,
                            const std::string& locationId);
    };
} // namespace armarx::priorknowledge::util
