#include "Visu.h"

namespace armarx::priorknowledge::util::location
{
    armarx::viz::Pose
    Visu::getLocationVertex(const std::string& id, const Eigen::Matrix4f& locationGlobalPose) const
    {
        // Add global location to layer
        return armarx::viz::Pose(id).pose(locationGlobalPose).scale(settings.vertexScale);
    }

    viz::Layer
    Visu::locationsToLayer(const std::string& layerName,
                           const std::map<std::string, Eigen::Matrix4f>& locationGlobalPoses) const
    {
        auto layer = arviz.layer(layerName);
        for (auto& [id, pose] : locationGlobalPoses)
        {
            // Add global location to layer
            layer.add(getLocationVertex(id, pose));
        }
        return layer;
    }
} // namespace armarx::priorknowledge::util::location
